
TYPO3.Flow - Bug # 42082

Status: Resolved Priority: Must have
Author: Christopher Hlubek Category:
Created: 2012-10-17 Assigned To: Christopher Hlubek
Updated: 2012-10-19 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 1.2 (master)
Subject: uriFor in subrequest does override explicit empty subpackageKey
Description

This is a bug that was probably introduced or noticed after change Iae8a2a8a39d47d7e99743d78188dccdd4238ccfb.

This causes a problem in ExtDirect subrequests that generate URLs to Controllers not inside a subpackage because the
subpackageKey from the current request will always be used (e.g. Service\ExtDirect\V1).

Associated revisions
Revision 8ebb3f6e - 2012-10-17 16:52 - Christopher Hlubek

[BUGFIX] Respect explicit empty subpackage in uriFor with subrequests

This change just checks for the empty string in the routing arguments and
sets a controller argument for building the URL. That way no subpackage
argument will be overriden from the subrequest.

Change-Id: Ie7be696c6de415e2fa0277c33065074bfd5b3efd
Fixes: #42082
Releases: 1.2

History
#1 - 2012-10-17 16:38 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15764

#2 - 2012-10-17 16:44 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15764

#3 - 2012-10-17 16:52 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15764
#4 - 2012-10-19 14:35 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8ebb3f6ecb6cbbb2eae971acc240e7091f5b9b5e.
